webdevqa.jp.net

RSSOwlはニュースを読むためのブラウザを作成できませんでした

Ubuntu(64ビット)でRSSOwl(バージョン:2.2.1 /ビルドID:2013-12-30)を起動しようとしています。 2回、ここから最新のRSSOwlをダウンロードします http://www.rssowl.org/download

そのようなエラーがあります:

RSSOwl was unable to create a browser for reading news. 
Please refer to the FAQ for further help.

Click 'Ok' to open the FAQ now.

FAQによると: http://www.rssowl.org/help#item_6j

Download XULRunner 1.9 Runtime
Extract it to any directory that RSSOwl can read
Add a new startup property to rssowl named 
    -Dorg.Eclipse.swt.browser.XULRunnerPath=[XULRunner Runtime Directory]
Start RSSOwl and it will pick up the browser from the provided location

この点がわかりません:Start RSSOwl and it will pick up the browser from the provided location

XULRunnerのtgzを/usr/srcに抽出しました。

今、私は次の方法でRSSOwlを起動します:

./RSSOwl -Dorg.Eclipse.swt.browser.XULRunnerPath=/usr/src/xulrunner/xulrunner/

そして、何も機能しません...

また、設定([編集]-> [設定])でブラウザを直接/usr/lib/firefox/firefox選択しようとしていますが、間違っています。

Use the embedded browser-間違っています。同じエラー。

6
testaccount

私は解決策を見つけました ここ

私のインストールでは、次のようになります。

Sudo ln -fs /usr/lib/x86_64-linux-gnu/libhunspell-1.3.so.0 \
/usr/lib/x86_64-linux-gnu/libhunspell-1.2.so.0
11
testaccount

私はもっ​​と深遠で処方された-しかしもちろん同じ-彼の問題のマニュアルをここで見つけました: http://whilesurfing.blogspot.de/2012/06/make-rssowl-work-with-mint- 13-maya.html

悲しいことに、RSSOwlの作者自身は、この面倒を取り除くための新しいパッチを適用したバージョンをまだ思い付いていませんでした。そのため、長年のユーザーでさえ、他の機能の少ないソフトウェアに変更しました。本当に残念です。

7
Peter Pan

これが私が試したものです。RSSOwl.iniファイルを編集して追加しました

-Dorg.Eclipse.swt.browser.XULRunnerPath =/usr/src/xulrunner/xulrunner /

(RSSOwlを再起動します)

チェックして確認:(RSSOwl /ヘルプ/ RSSOwlについて/構成の詳細)

rSSOwlが内部ブラウ​​ザを指していることを確認しました

(RSSOwl /編集/設定/ブラウザ/ブラウザの選択/埋め込みブラウザを使用)がチェックされました

パラメータがRSSOwlによってロードされていることに気付きましたが、それでもエラーが発生します

0
Dennis Hanchar

Ubuntu 16

(多分他のバージョンで動作します)

  1. リンクを作成する

    Sudo ln -fs /usr/lib/x86_64-linux-gnu/libhunspell-1.3.so.0 /usr/lib/x86_64-linux-gnu/libhunspell-1.2.so.0
    
  2. 再起動RSSOwl

0
Jekis